ToOneAttributeSourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Class ToOneAttributeSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.SingularAttributeSourceImpl
          org.hibernate.metamodel.source.annotations.attribute.ToOneAttributeSourceImpl

All Implemented Interfaces:
  AssociationAttributeSource, AttributeSource, RelationalValueSourceContainer, SingularAttributeSource, ToOneAttributeSource

    public class ToOneAttributeSourceImpl

extends SingularAttributeSourceImpl
implements ToOneAttributeSource

Constructor Summary
`ToOneAttributeSourceImpl(AssociationAttribute associationAttribute)`

Method Summary
`Iterable<CascadeStyle>` | `getCascadeStyles()` Obtain the cascade styles to be applied to this association.
`FetchMode` | `getFetchMode()` Obtain the fetch mode to be applied to this association.
`FetchStyle` | `getFetchStyle()`
`FetchTiming` | `getFetchTiming()`
`SingularAttributeNature` | `getNature()` Obtain the nature of this attribute type.
`String` | `getReferencedEntityAttributeName()` Obtain the name of the referenced attribute.
`String` | `getReferencedEntityName()` Obtain the name of the referenced entity.

Methods inherited from class org.hibernate.metamodel.source.annotations.attribute.SingularAttributeSourceImpl
`areValuesIncludedInInsertByDefault, areValuesIncludedInUpdateByDefault, areValuesNullableByDefault, getGeneration, getName, getPropertyAccessorName, getTypeInformation, isIncludedInOptimisticLocking, isInsertable, isLazy, isSingular, isUpdatable, isVirtualAttribute, metaAttributes, relationalValueSources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.source.binder.SingularAttributeSource
`getGeneration, isInsertable, isLazy, isUpdatable, isVirtualAttribute`

Methods inherited from interface org.hibernate.metamodel.source.binder.RelationalValueSourceContainer
`areValuesIncludedInInsertByDefault, areValuesIncludedInUpdateByDefault, areValuesNullableByDefault, relationalValueSources`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSource
`getName, getPropertyAccessorName, getTypeInformation, isIncludedInOptimisticLocking, isSingular, metaAttributes`

Constructor Detail

### ToOneAttributeSourceImpl

    public ToOneAttributeSourceImpl(AssociationAttribute associationAttribute)

Method Detail

### getNature

    public SingularAttributeNature getNature()

  Description copied from interface: `SingularAttributeSource`
  Obtain the nature of this attribute type.

  Specified by:
    `getNature` in interface `SingularAttributeSource`
  Overrides:
    `getNature` in class `SingularAttributeSourceImpl`
  Returns:
    The attribute type nature

### getReferencedEntityName

    public String getReferencedEntityName()

  Description copied from interface: `ToOneAttributeSource`
  Obtain the name of the referenced entity.

  Specified by:
    `getReferencedEntityName` in interface `ToOneAttributeSource`
  Returns:
    The name of the referenced entity

### getReferencedEntityAttributeName

    public String getReferencedEntityAttributeName()

  Description copied from interface: `ToOneAttributeSource`
  Obtain the name of the referenced attribute. Typically the reference is built based on the identifier attribute of the `referenced entity`, but this value allows using a different attribute instead.

  Specified by:
    `getReferencedEntityAttributeName` in interface `ToOneAttributeSource`
  Returns:
    The name of the referenced attribute; `null` indicates the identifier attribute.

### getCascadeStyles

    public Iterable<CascadeStyle> getCascadeStyles()

  Description copied from interface: `AssociationAttributeSource`
  Obtain the cascade styles to be applied to this association.

  Specified by:
    `getCascadeStyles` in interface `AssociationAttributeSource`
  Returns:
    The cascade styles.

### getFetchMode

    public FetchMode getFetchMode()

  Description copied from interface: `AssociationAttributeSource`
  Obtain the fetch mode to be applied to this association.

  Specified by:
    `getFetchMode` in interface `AssociationAttributeSource`
  Returns:
    The fetch mode.

### getFetchTiming

    public FetchTiming getFetchTiming()

  Specified by:
    `getFetchTiming` in interface `AssociationAttributeSource`

### getFetchStyle

    public FetchStyle getFetchStyle()

  Specified by:
    `getFetchStyle` in interface `AssociationAttributeSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.